#include"testlib.h"
#include<bits/stdc++.h>
#define all(v) v.begin(), v.end()
 
using namespace std;
 
int32_t main(int argc, char *argv[]) {
    registerGen(argc, argv, 1);
 
    cout << 1 << '\n';
    const int n = 100000;
    cout << n << ' ' << n - 1 << '\n';
    for (int i = 1; i <= n; i += 2) {
    	cout << i << ' ' << i + 1 << '\n';
    }
    for (int i = 2; i < n; i += 2) {
    	cout << i << ' ' << n - 1 << '\n';
    }
 
}
